Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
union_sockaddr Union Reference

`#include <rubysocket.h>`

## Data Fields
struct sockaddr | addr
struct sockaddr_in | in
struct sockaddr_storage | storage
char | place_holder [2048]

## Detailed Description

Definition at line 184 of file rubysocket.h.

## Field Documentation

struct sockaddr union_sockaddr::addr

Definition at line 185 of file rubysocket.h.

Referenced by addrinfo_getnameinfo(), addrinfo_mdump(), addrinfo_mload(), ai_get_afamily(), bsock_getpeername(), bsock_getsockname(), bsock_local_address(), bsock_remote_address(), ip_addr(), ip_peeraddr(), ip_s_getaddress(), recvfrom_blocking(), rsock_getfamily(), rsock_inspect_sockaddr(), rsock_s_recvfrom(), rsock_s_recvfrom_nonblock(), sock_accept(), sock_accept_nonblock(), sock_s_getnameinfo(), sock_sysaccept(), tcp_accept(), tcp_accept_nonblock(), and tcp_sysaccept().

struct sockaddr_in union_sockaddr::in

Definition at line 186 of file rubysocket.h.

Referenced by addrinfo_ip_port(), extract_in_addr(), and rsock_inspect_sockaddr().

char union_sockaddr::place_holder[2048]

Definition at line 197 of file rubysocket.h.

struct sockaddr_storage union_sockaddr::storage

Definition at line 196 of file rubysocket.h.

The documentation for this union was generated from the following file:

- ext/socket/rubysocket.h